destination d_syslog_ng_es {
  elasticsearch-http(
    index("syslog-ng")
    type("")
    user("elastic")
    password("forty6and2")
    url("http://pi501.in.thelinuxpro.net:9200/_bulk")
#    template("$(format-json --scope rfc5424 --scope dot-nv-pairs
 #   --rekey .* --shift 1 --scope nv-pairs
  #  --exclude DATE @timestamp=${ISODATE})")
    persist-name("d_syslog_ng_es")
  );
};

log {
  source(s_local);
  source(s_network_tcp);
  source(s_network_udp);
  destination(d_syslog_ng_es);
};
